Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## php.java.servlet.fastcgi
Class FCGIProcess

    java.lang.Object
      java.lang.Process
          php.java.bridge.Util.Process
              php.java.servlet.fastcgi.FCGIProcess

    public class FCGIProcess

extends Util.Process

Constructor Summary
`FCGIProcess(java.lang.String[] args, java.io.File homeDir, java.util.Map env, java.lang.String realPath, boolean tryOtherLocations)`

Method Summary
`void` | `start()`

Methods inherited from class php.java.bridge.Util.Process
`destroy, exitValue, getErrorStream, getInputStream, getOutputStream, start, waitFor`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FCGIProcess

    public FCGIProcess(java.lang.String[] args,
                       java.io.File homeDir,
                       java.util.Map env,
                       java.lang.String realPath,
                       boolean tryOtherLocations)
                throws java.io.IOException

Throws:
  `java.io.IOException`

Method Detail

### start

    public void start()
               throws java.lang.NullPointerException,
                      java.io.IOException

  Throws:
    `java.lang.NullPointerException`
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD